{% extends 'inventory/base.html' %}
{% load humanize %}

{% block title %} | Inventory {% endblock %}

{% block content %}
    <div class="container">
        <h1 class="m-3 text-center">Orders</h1>
        <div class="list-group">
            {% for order, timestamp, part_orders, progress_bar in order_data %}
                <div class="d-flex flex-column list-group-item">
                    <div class="d-flex flex-row align-items-center justify-content-between">
                        <div class="d-flex flex-column flex-grow-1">
                            <h5 class="mb-1">#{{ order.id }} | {{ timestamp | date }}</h5>
                            <div class="progress">
                                <div class="progress-bar {% if order.status == 'COMPLETE' %} bg-warning {% elif order.status == 'PICKED_UP' %} bg-success {% else %} bg-info {% endif %}" role="progressbar"
                                     style="width:{{ progress_bar }}%">{{ order.status_label }}</div>
                            </div>
                        </div>
                        <button class="btn btn-info ml-3" type="button" data-toggle="collapse"
                                data-target="#collapse{{ order.id }}" aria-expanded="false"
                                aria-controls="collapse{{ order.id }}">
                            Details
                        </button>
                    </div>
                    <div class="collapse" id="collapse{{ order.id }}">
                        {% include 'inventory/part_order_details.html' with part_orders=part_orders%}
                    </div>
                </div>
            {% empty %}
                <p class="text-center">You have not submitted any orders yet</p>
            {% endfor %}
        </div>

        <h4 class="mt-3">Requests</h4>
        {% for request in requests %}
            <div class="card mt-3">
                <div class="card-header d-flex flex-row align-items-center justify-content-between {% if request.status == 'COMPLETE' %} bg-success {% elif request.status == 'REJECTED' %} bg-danger {% endif %}">
                    <h5 class="card-title m-0">#{{ request.id }} | {{ request.user.first_name }} {{ request.user.last_name }}</h5>
                    <span>{{ request.status_label }}</span>
                </div>
                <div class="list-group list-group-flush">
                    <div class="list-group-item">
                        {{ request.request }}
                    </div>
                    {% if request.notes != None and request.notes|length > 0 %}
                        <div class="list-group-item">
                            {{ request.notes }}
                        </div>
                    {% endif %}
                </div>
            </div>
        {% empty %}
            <p class="text-center">There are no filled requests</p>
        {% endfor %}

    </div>
{% endblock %}
